{
  config,
  lib,
  pkgs,
  ...
}:
let

  cfg = config.core;
in
{
  imports = [
    ./gaming.nix
    ./desktop.nix
  ];

  config = {
    environment.systemPackages = with pkgs; [
      btop
      wget
    ];
    programs = {
      nh = {
        enable = true;
        flake = "/home/brandon/.nixos-conf";
      };
      git = {
        enable = true;
        config = {
          user = {
            email = "brandon@logical-code.com";
            name = "logical-code";
          };
        };
      };
    };
  };

}
